package thyyxxk.webserver.controller.dictionary;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
import thyyxxk.webserver.entity.ResultVo;
import thyyxxk.webserver.entity.dictionary.OpLevelManagement;
import thyyxxk.webserver.entity.zhuyuanyisheng.shoushu.ZdIcd9Cm3;
import thyyxxk.webserver.service.dictionary.OpLevelManagementService;

/**
 * @Description: 手术医生级别管理
 * @Author:lihong
 * @Date: 2023/6/8
 */
@RestController
@RequestMapping("/opLevelManagement")
public class OpLevelManagementController {
    @Autowired
    private OpLevelManagementService service;

    @PostMapping("/queryZdIcd9Cm3")
    public ResultVo<IPage<ZdIcd9Cm3>> queryZdIcd9Cm3(@RequestBody ZdIcd9Cm3 param) {
        return service.queryZdIcd9Cm3(param);
    }

    @PostMapping("/saveZdIcd9Cm3")
    public ResultVo<String> saveZdIcd9Cm3(@RequestBody ZdIcd9Cm3 param) {
        return service.saveZdIcd9Cm3(param);
    }

    @PostMapping("/queryOpLevelManagement")
    public ResultVo<IPage<OpLevelManagement>> queryOpLevelManagement(@RequestBody OpLevelManagement param) {
        return service.queryOpLevelManagement(param);
    }

    @PostMapping("/saveOpLevelManagement")
    public ResultVo<String> saveOpLevelManagement(@RequestBody OpLevelManagement saveParam) {
        return service.saveOpLevelManagement(saveParam);
    }

    @PostMapping("/queryOprtInfo")
    public ResultVo<IPage<OpLevelManagement>> queryOprtInfo(@RequestBody OpLevelManagement param) {
        return service.queryOprtInfo(param);
    }
    @GetMapping("/getEmpCodeRs")
    public ResultVo<String> getEmpCodeRs(String code) {
        return service.getEmpCodeRs(code);
    }

    @PostMapping("/uploadOpLevelManagement")
    public ResultVo<String> uploadOpLevelManagement(@RequestBody MultipartFile file) {
        return service.uploadOpLevelManagement(file);
    }

}
